diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/ipv6/radvd-two-prefix.cc ns-3.44/examples/ipv6/radvd-two-prefix.cc
--- ns-3.43/examples/ipv6/radvd-two-prefix.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/ipv6/radvd-two-prefix.cc	2025-03-09 16:55:49.331370800 -0700
@@ -37,15 +37,15 @@
 NS_LOG_COMPONENT_DEFINE("RadvdTwoPrefixExample");
 
 /**
- * \class IpAddressHelper
- * \brief Helper to print a node's IP addresses.
+ * @class IpAddressHelper
+ * @brief Helper to print a node's IP addresses.
  */
 class IpAddressHelper
 {
   public:
     /**
-     * \brief Print the node's IP addresses.
-     * \param n the node
+     * @brief Print the node's IP addresses.
+     * @param n the node
      */
     inline void PrintIpAddresses(Ptr<Node>& n)
     {
@@ -174,8 +174,8 @@
     }
 
     ApplicationContainer radvdApps = radvdHelper.Install(r);
-    radvdApps.Start(Seconds(1.0));
-    radvdApps.Stop(Seconds(2.0));
+    radvdApps.Start(Seconds(1));
+    radvdApps.Stop(Seconds(2));
 
     /* Create a Ping application to send ICMPv6 echo request from n0 to n1 via R */
     uint32_t packetSize = 1024;
@@ -187,18 +187,18 @@
     ping.SetAttribute("Count", UintegerValue(maxPacketCount));
     ping.SetAttribute("Size", UintegerValue(packetSize));
     ApplicationContainer apps = ping.Install(net1.Get(0));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(5.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(5));
 
     Ptr<OutputStreamWrapper> routingStream = Create<OutputStreamWrapper>(&std::cout);
-    Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(2.0), n0, routingStream);
-    Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(10.0), n0, routingStream);
+    Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(2), n0, routingStream);
+    Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(10), n0, routingStream);
 
     IpAddressHelper ipAddressHelper;
     /* RA should be received, two prefixes + routes + default route should be present */
-    Simulator::Schedule(Seconds(2.0), &IpAddressHelper::PrintIpAddresses, &ipAddressHelper, n0);
+    Simulator::Schedule(Seconds(2), &IpAddressHelper::PrintIpAddresses, &ipAddressHelper, n0);
     /* at the end, RA addresses and routes should be cleared */
-    Simulator::Schedule(Seconds(10.0), &IpAddressHelper::PrintIpAddresses, &ipAddressHelper, n0);
+    Simulator::Schedule(Seconds(10), &IpAddressHelper::PrintIpAddresses, &ipAddressHelper, n0);
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("radvd-two-prefix.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/ipv6/wsn-ping6.cc ns-3.44/examples/ipv6/wsn-ping6.cc
--- ns-3.43/examples/ipv6/wsn-ping6.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/ipv6/wsn-ping6.cc	2025-03-09 16:55:49.331370800 -0700
@@ -114,8 +114,8 @@
     ping.SetAttribute("Interval", TimeValue(interPacketInterval));
     ping.SetAttribute("Size", UintegerValue(packetSize));
     ApplicationContainer apps = ping.Install(nodes.Get(0));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(10));
 
     AsciiTraceHelper ascii;
     lrWpanHelper.EnableAsciiAll(ascii.CreateFileStream("ping6wsn.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/naming/object-names.cc ns-3.44/examples/naming/object-names.cc
--- ns-3.43/examples/naming/object-names.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/naming/object-names.cc	2025-03-09 16:55:49.331370800 -0700
@@ -27,8 +27,8 @@
 /**
  * Function called when a packet is received.
  *
- * \param context The context.
- * \param packet The received packet.
+ * @param context The context.
+ * @param packet The received packet.
  */
 void
 RxEvent(std::string context, Ptr<const Packet> packet)
@@ -142,8 +142,8 @@
     // directly.
     //
     ApplicationContainer apps = server.Install("/Names/server");
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     uint32_t packetSize = 1024;
     uint32_t maxPacketCount = 1;
@@ -157,8 +157,8 @@
     // directly.
     //
     apps = client.Install("/Names/client");
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(10));
 
     //
     // Use the Config system to connect a trace source using the object name
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/realtime/realtime-udp-echo.cc ns-3.44/examples/realtime/realtime-udp-echo.cc
--- ns-3.43/examples/realtime/realtime-udp-echo.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/realtime/realtime-udp-echo.cc	2025-03-09 16:55:49.331370800 -0700
@@ -76,8 +76,8 @@
     uint16_t port = 9; // well-known echo port number
     UdpEchoServerHelper server(port);
     ApplicationContainer apps = server.Install(n.Get(1));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     //
     // Create a UdpEchoClient application to send UDP datagrams from node zero to
@@ -91,8 +91,8 @@
     client.SetAttribute("Interval", TimeValue(interPacketInterval));
     client.SetAttribute("PacketSize", UintegerValue(packetSize));
     apps = client.Install(n.Get(0));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(10));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("realtime-udp-echo.tr"));
@@ -101,7 +101,7 @@
     //
     // Now, do the actual simulation.
     //
-    Simulator::Stop(Seconds(11.0));
+    Simulator::Stop(Seconds(11));
     NS_LOG_INFO("Run Simulation.");
     Simulator::Run();
     Simulator::Destroy();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/realtime/realtime-udp-echo.py ns-3.44/examples/realtime/realtime-udp-echo.py
--- ns-3.43/examples/realtime/realtime-udp-echo.py	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/realtime/realtime-udp-echo.py	2025-03-09 16:55:49.331370800 -0700
@@ -72,8 +72,8 @@
     port = 9  # well-known echo port number
     server = ns.UdpEchoServerHelper(port)
     apps = server.Install(n.Get(1))
-    apps.Start(ns.Seconds(1.0))
-    apps.Stop(ns.Seconds(10.0))
+    apps.Start(ns.Seconds(1))
+    apps.Stop(ns.Seconds(10))
 
     #
     # Create a UdpEchoClient application to send UDP datagrams from node zero to
@@ -87,8 +87,8 @@
     client.SetAttribute("Interval", ns.TimeValue(interPacketInterval))
     client.SetAttribute("PacketSize", ns.UintegerValue(packetSize))
     apps = client.Install(n.Get(0))
-    apps.Start(ns.Seconds(2.0))
-    apps.Stop(ns.Seconds(10.0))
+    apps.Start(ns.Seconds(2))
+    apps.Stop(ns.Seconds(10))
 
     ascii = ns.AsciiTraceHelper()
     csma.EnableAsciiAll(ascii.CreateFileStream("realtime-udp-echo.tr"))
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/dynamic-global-routing.cc ns-3.44/examples/routing/dynamic-global-routing.cc
--- ns-3.43/examples/routing/dynamic-global-routing.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/dynamic-global-routing.cc	2025-03-09 16:55:49.331370800 -0700
@@ -141,8 +141,8 @@
     onoff.SetAttribute("PacketSize", UintegerValue(50));
 
     ApplicationContainer apps = onoff.Install(c.Get(1));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     // Create a second OnOff application to send UDP datagrams of size
     // 210 bytes at a rate of 448 Kb/s
@@ -153,21 +153,21 @@
     onoff2.SetAttribute("PacketSize", UintegerValue(50));
 
     ApplicationContainer apps2 = onoff2.Install(c.Get(1));
-    apps2.Start(Seconds(11.0));
-    apps2.Stop(Seconds(16.0));
+    apps2.Start(Seconds(11));
+    apps2.Stop(Seconds(16));
 
     // Create an optional packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     apps = sink.Install(c.Get(6));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     PacketSinkHelper sink2("ns3::UdpSocketFactory",
                            Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     apps2 = sink2.Install(c.Get(6));
-    apps2.Start(Seconds(11.0));
-    apps2.Stop(Seconds(16.0));
+    apps2.Start(Seconds(11));
+    apps2.Stop(Seconds(16));
 
     AsciiTraceHelper ascii;
     Ptr<OutputStreamWrapper> stream = ascii.CreateFileStream("dynamic-global-routing.tr");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/global-injection-slash32.cc ns-3.44/examples/routing/global-injection-slash32.cc
--- ns-3.43/examples/routing/global-injection-slash32.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/global-injection-slash32.cc	2025-03-09 16:55:49.331370800 -0700
@@ -129,15 +129,15 @@
                       Address(InetSocketAddress(ifInAddrC.GetLocal(), port)));
     onoff.SetConstantRate(DataRate(6000));
     ApplicationContainer apps = onoff.Install(nA);
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     // Create a packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     apps = sink.Install(nC);
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     AsciiTraceHelper ascii;
     p2p.EnableAsciiAll(ascii.CreateFileStream("global-routing-injection32.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/global-routing-slash32.cc ns-3.44/examples/routing/global-routing-slash32.cc
--- ns-3.43/examples/routing/global-routing-slash32.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/global-routing-slash32.cc	2025-03-09 16:55:49.331370800 -0700
@@ -100,15 +100,15 @@
                       Address(InetSocketAddress(ifInAddrC.GetLocal(), port)));
     onoff.SetConstantRate(DataRate(6000));
     ApplicationContainer apps = onoff.Install(nA);
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     // Create a packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     apps = sink.Install(nC);
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     AsciiTraceHelper ascii;
     p2p.EnableAsciiAll(ascii.CreateFileStream("global-routing-slash32.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/manet-routing-compare.cc ns-3.44/examples/routing/manet-routing-compare.cc
--- ns-3.43/examples/routing/manet-routing-compare.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/manet-routing-compare.cc	2025-03-09 16:55:49.331370800 -0700
@@ -89,22 +89,22 @@
 
     /**
      * Handles the command-line parameters.
-     * \param argc The argument count.
-     * \param argv The argument vector.
+     * @param argc The argument count.
+     * @param argv The argument vector.
      */
     void CommandSetup(int argc, char** argv);
 
   private:
     /**
      * Setup the receiving socket in a Sink Node.
-     * \param addr The address of the node.
-     * \param node The node pointer.
-     * \return the socket.
+     * @param addr The address of the node.
+     * @param node The node pointer.
+     * @return the socket.
      */
     Ptr<Socket> SetupPacketReceive(Ipv4Address addr, Ptr<Node> node);
     /**
      * Receive a packet.
-     * \param socket The receiving socket.
+     * @param socket The receiving socket.
      */
     void ReceivePacket(Ptr<Socket> socket);
     /**
@@ -173,7 +173,7 @@
 
     out.close();
     packetsReceived = 0;
-    Simulator::Schedule(Seconds(1.0), &RoutingExperiment::CheckThroughput, this);
+    Simulator::Schedule(Seconds(1), &RoutingExperiment::CheckThroughput, this);
 }
 
 Ptr<Socket>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/mixed-global-routing.cc ns-3.44/examples/routing/mixed-global-routing.cc
--- ns-3.43/examples/routing/mixed-global-routing.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/mixed-global-routing.cc	2025-03-09 16:55:49.331370800 -0700
@@ -104,8 +104,8 @@
     onoff.SetAttribute("PacketSize", UintegerValue(50));
 
     ApplicationContainer apps = onoff.Install(c.Get(0));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     AsciiTraceHelper ascii;
     Ptr<OutputStreamWrapper> stream = ascii.CreateFileStream("mixed-global-routing.tr");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/ripng-simple-network.cc ns-3.44/examples/routing/ripng-simple-network.cc
--- ns-3.43/examples/routing/ripng-simple-network.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/ripng-simple-network.cc	2025-03-09 16:55:49.331370800 -0700
@@ -209,25 +209,25 @@
     {
         Ptr<OutputStreamWrapper> routingStream = Create<OutputStreamWrapper>(&std::cout);
 
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(30.0), a, routingStream);
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(30.0), b, routingStream);
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(30.0), c, routingStream);
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(30.0), d, routingStream);
-
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(60.0), a, routingStream);
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(60.0), b, routingStream);
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(60.0), c, routingStream);
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(60.0), d, routingStream);
-
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(90.0), a, routingStream);
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(90.0), b, routingStream);
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(90.0), c, routingStream);
-        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(90.0), d, routingStream);
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(30), a, routingStream);
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(30), b, routingStream);
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(30), c, routingStream);
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(30), d, routingStream);
+
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(60), a, routingStream);
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(60), b, routingStream);
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(60), c, routingStream);
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(60), d, routingStream);
+
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(90), a, routingStream);
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(90), b, routingStream);
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(90), c, routingStream);
+        Ipv6RoutingHelper::PrintRoutingTableAt(Seconds(90), d, routingStream);
     }
 
     NS_LOG_INFO("Create Applications.");
     uint32_t packetSize = 1024;
-    Time interPacketInterval = Seconds(1.0);
+    Time interPacketInterval = Seconds(1);
     PingHelper ping(iic7.GetAddress(1, 1));
 
     ping.SetAttribute("Interval", TimeValue(interPacketInterval));
@@ -237,8 +237,8 @@
         ping.SetAttribute("VerboseMode", EnumValue(Ping::VerboseMode::VERBOSE));
     }
     ApplicationContainer apps = ping.Install(src);
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(110.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(110));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("ripng-simple-routing.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/rip-simple-network.cc ns-3.44/examples/routing/rip-simple-network.cc
--- ns-3.43/examples/routing/rip-simple-network.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/rip-simple-network.cc	2025-03-09 16:55:49.331370800 -0700
@@ -204,25 +204,25 @@
     {
         Ptr<OutputStreamWrapper> routingStream = Create<OutputStreamWrapper>(&std::cout);
 
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(30.0), a, routingStream);
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(30.0), b, routingStream);
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(30.0), c, routingStream);
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(30.0), d, routingStream);
-
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(60.0), a, routingStream);
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(60.0), b, routingStream);
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(60.0), c, routingStream);
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(60.0), d, routingStream);
-
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(90.0), a, routingStream);
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(90.0), b, routingStream);
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(90.0), c, routingStream);
-        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(90.0), d, routingStream);
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(30), a, routingStream);
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(30), b, routingStream);
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(30), c, routingStream);
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(30), d, routingStream);
+
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(60), a, routingStream);
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(60), b, routingStream);
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(60), c, routingStream);
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(60), d, routingStream);
+
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(90), a, routingStream);
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(90), b, routingStream);
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(90), c, routingStream);
+        Ipv4RoutingHelper::PrintRoutingTableAt(Seconds(90), d, routingStream);
     }
 
     NS_LOG_INFO("Create Applications.");
     uint32_t packetSize = 1024;
-    Time interPacketInterval = Seconds(1.0);
+    Time interPacketInterval = Seconds(1);
     PingHelper ping(Ipv4Address("10.0.6.2"));
 
     ping.SetAttribute("Interval", TimeValue(interPacketInterval));
@@ -232,8 +232,8 @@
         ping.SetAttribute("VerboseMode", EnumValue(Ping::VerboseMode::VERBOSE));
     }
     ApplicationContainer apps = ping.Install(src);
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(110.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(110));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("rip-simple-routing.tr"));
@@ -243,7 +243,7 @@
 
     /* Now, do the actual simulation. */
     NS_LOG_INFO("Run Simulation.");
-    Simulator::Stop(Seconds(131.0));
+    Simulator::Stop(Seconds(131));
     Simulator::Run();
     Simulator::Destroy();
     NS_LOG_INFO("Done.");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/simple-alternate-routing.cc ns-3.44/examples/routing/simple-alternate-routing.cc
--- ns-3.43/examples/routing/simple-alternate-routing.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/simple-alternate-routing.cc	2025-03-09 16:55:49.331370800 -0700
@@ -131,14 +131,14 @@
 
     ApplicationContainer apps = onoff.Install(c.Get(3));
     apps.Start(Seconds(1.1));
-    apps.Stop(Seconds(10.0));
+    apps.Stop(Seconds(10));
 
     // Create a packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     apps = sink.Install(c.Get(1));
     apps.Start(Seconds(1.1));
-    apps.Stop(Seconds(10.0));
+    apps.Stop(Seconds(10));
 
     AsciiTraceHelper ascii;
     p2p.EnableAsciiAll(ascii.CreateFileStream("simple-alternate-routing.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/simple-global-routing.cc ns-3.44/examples/routing/simple-global-routing.cc
--- ns-3.43/examples/routing/simple-global-routing.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/simple-global-routing.cc	2025-03-09 16:55:49.331370800 -0700
@@ -110,26 +110,26 @@
                       Address(InetSocketAddress(i3i2.GetAddress(0), port)));
     onoff.SetConstantRate(DataRate("448kb/s"));
     ApplicationContainer apps = onoff.Install(c.Get(0));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     // Create a packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     apps = sink.Install(c.Get(3));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     // Create a similar flow from n3 to n1, starting at time 1.1 seconds
     onoff.SetAttribute("Remote", AddressValue(InetSocketAddress(i1i2.GetAddress(0), port)));
     apps = onoff.Install(c.Get(3));
     apps.Start(Seconds(1.1));
-    apps.Stop(Seconds(10.0));
+    apps.Stop(Seconds(10));
 
     // Create a packet sink to receive these packets
     apps = sink.Install(c.Get(1));
     apps.Start(Seconds(1.1));
-    apps.Stop(Seconds(10.0));
+    apps.Stop(Seconds(10));
 
     AsciiTraceHelper ascii;
     p2p.EnableAsciiAll(ascii.CreateFileStream("simple-global-routing.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/simple-routing-ping6.cc ns-3.44/examples/routing/simple-routing-ping6.cc
--- ns-3.43/examples/routing/simple-routing-ping6.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/simple-routing-ping6.cc	2025-03-09 16:55:49.331370800 -0700
@@ -30,17 +30,17 @@
 NS_LOG_COMPONENT_DEFINE("SimpleRoutingPing6Example");
 
 /**
- * \class StackHelper
- * \brief Helper to set or get some IPv6 information about nodes.
+ * @class StackHelper
+ * @brief Helper to set or get some IPv6 information about nodes.
  */
 class StackHelper
 {
   public:
     /**
-     * \brief Add an address to a IPv6 node.
-     * \param n node
-     * \param interface interface index
-     * \param address IPv6 address to add
+     * @brief Add an address to a IPv6 node.
+     * @param n node
+     * @param interface interface index
+     * @param address IPv6 address to add
      */
     inline void AddAddress(Ptr<Node>& n, uint32_t interface, Ipv6Address address)
     {
@@ -49,8 +49,8 @@
     }
 
     /**
-     * \brief Print the routing table.
-     * \param n the node
+     * @brief Print the routing table.
+     * @param n the node
      */
     inline void PrintRoutingTable(Ptr<Node>& n)
     {
@@ -136,8 +136,8 @@
     ping.SetAttribute("Count", UintegerValue(maxPacketCount));
     ping.SetAttribute("Size", UintegerValue(packetSize));
     ApplicationContainer apps = ping.Install(net1.Get(0));
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(20.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(20));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("simple-routing-ping6.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/simple-routing-ping6.py ns-3.44/examples/routing/simple-routing-ping6.py
--- ns-3.43/examples/routing/simple-routing-ping6.py	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/simple-routing-ping6.py	2025-03-09 16:55:49.331370800 -0700
@@ -69,7 +69,7 @@
     print("Application")
     packetSize = 1024
     maxPacketCount = 5
-    interPacketInterval = ns.Seconds(1.0)
+    interPacketInterval = ns.Seconds(1)
     # ping = ns.PingHelper(i2.GetAddress(1, 1).ConvertTo())
     ping = ns.PingHelper(i2.GetAddress(1, 1).ConvertTo())
 
@@ -81,8 +81,8 @@
     ping.SetAttribute("Size", ns.UintegerValue(packetSize))
 
     apps = ping.Install(ns.NodeContainer(net1.Get(0)))
-    apps.Start(ns.Seconds(2.0))
-    apps.Stop(ns.Seconds(20.0))
+    apps.Start(ns.Seconds(2))
+    apps.Stop(ns.Seconds(20))
 
     print("Tracing")
     ascii = ns.AsciiTraceHelper()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/routing/static-routing-slash32.cc ns-3.44/examples/routing/static-routing-slash32.cc
--- ns-3.43/examples/routing/static-routing-slash32.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/routing/static-routing-slash32.cc	2025-03-09 16:55:49.331370800 -0700
@@ -106,15 +106,15 @@
                       Address(InetSocketAddress(ifInAddrC.GetLocal(), port)));
     onoff.SetConstantRate(DataRate(6000));
     ApplicationContainer apps = onoff.Install(nA);
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     // Create a packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     apps = sink.Install(nC);
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     AsciiTraceHelper ascii;
     p2p.EnableAsciiAll(ascii.CreateFileStream("static-routing-slash32.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/socket/socket-bound-static-routing.cc ns-3.44/examples/socket/socket-bound-static-routing.cc
--- ns-3.43/examples/socket/socket-bound-static-routing.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/socket/socket-bound-static-routing.cc	2025-03-09 16:55:49.331370800 -0700
@@ -144,17 +144,17 @@
     // First packet as normal (goes via Rtr1)
     Simulator::Schedule(Seconds(0.1), &SendStuff, srcSocket, dstaddr, dstport);
     // Second via Rtr1 explicitly
-    Simulator::Schedule(Seconds(1.0), &BindSock, srcSocket, SrcToRtr1);
+    Simulator::Schedule(Seconds(1), &BindSock, srcSocket, SrcToRtr1);
     Simulator::Schedule(Seconds(1.1), &SendStuff, srcSocket, dstaddr, dstport);
     // Third via Rtr2 explicitly
-    Simulator::Schedule(Seconds(2.0), &BindSock, srcSocket, SrcToRtr2);
+    Simulator::Schedule(Seconds(2), &BindSock, srcSocket, SrcToRtr2);
     Simulator::Schedule(Seconds(2.1), &SendStuff, srcSocket, dstaddr, dstport);
     // Fourth again as normal (goes via Rtr1)
-    Simulator::Schedule(Seconds(3.0), &BindSock, srcSocket, Ptr<NetDevice>(nullptr));
+    Simulator::Schedule(Seconds(3), &BindSock, srcSocket, Ptr<NetDevice>(nullptr));
     Simulator::Schedule(Seconds(3.1), &SendStuff, srcSocket, dstaddr, dstport);
     // If you uncomment what's below, it results in ASSERT failing since you can't
     // bind to a socket not existing on a node
-    // Simulator::Schedule(Seconds(4.0),&BindSock, srcSocket, dDstRtrdDst.Get(0));
+    // Simulator::Schedule(Seconds(4),&BindSock, srcSocket, dDstRtrdDst.Get(0));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/socket/socket-bound-tcp-static-routing.cc ns-3.44/examples/socket/socket-bound-tcp-static-routing.cc
--- ns-3.43/examples/socket/socket-bound-tcp-static-routing.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/socket/socket-bound-tcp-static-routing.cc	2025-03-09 16:55:49.331370800 -0700
@@ -149,8 +149,8 @@
     PacketSinkHelper sink("ns3::TcpSocketFactory",
                           InetSocketAddress(Ipv4Address::GetAny(), dstport));
     ApplicationContainer apps = sink.Install(nDst);
-    apps.Start(Seconds(0.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(0));
+    apps.Stop(Seconds(10));
 
     AsciiTraceHelper ascii;
     p2p.EnableAsciiAll(ascii.CreateFileStream("socket-bound-tcp-static-routing.tr"));
@@ -162,17 +162,17 @@
     // First packet as normal (goes via Rtr1)
     Simulator::Schedule(Seconds(0.1), &StartFlow, srcSocket1, dstaddr, dstport);
     // Second via Rtr1 explicitly
-    Simulator::Schedule(Seconds(1.0), &BindSock, srcSocket2, SrcToRtr1);
+    Simulator::Schedule(Seconds(1), &BindSock, srcSocket2, SrcToRtr1);
     Simulator::Schedule(Seconds(1.1), &StartFlow, srcSocket2, dstaddr, dstport);
     // Third via Rtr2 explicitly
-    Simulator::Schedule(Seconds(2.0), &BindSock, srcSocket3, SrcToRtr2);
+    Simulator::Schedule(Seconds(2), &BindSock, srcSocket3, SrcToRtr2);
     Simulator::Schedule(Seconds(2.1), &StartFlow, srcSocket3, dstaddr, dstport);
     // Fourth again as normal (goes via Rtr1)
-    Simulator::Schedule(Seconds(3.0), &BindSock, srcSocket4, Ptr<NetDevice>(nullptr));
+    Simulator::Schedule(Seconds(3), &BindSock, srcSocket4, Ptr<NetDevice>(nullptr));
     Simulator::Schedule(Seconds(3.1), &StartFlow, srcSocket4, dstaddr, dstport);
     // If you uncomment what's below, it results in ASSERT failing since you can't
     // bind to a socket not existing on a node
-    // Simulator::Schedule(Seconds(4.0),&BindSock, srcSocket, dDstRtrdDst.Get(0));
+    // Simulator::Schedule(Seconds(4),&BindSock, srcSocket, dDstRtrdDst.Get(0));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/socket/socket-options-ipv4.cc ns-3.44/examples/socket/socket-options-ipv4.cc
--- ns-3.43/examples/socket/socket-options-ipv4.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/socket/socket-options-ipv4.cc	2025-03-09 16:55:49.331370800 -0700
@@ -136,7 +136,7 @@
     // Schedule SendPacket
     Time interPacketInterval = Seconds(packetInterval);
     Simulator::ScheduleWithContext(source->GetNode()->GetId(),
-                                   Seconds(1.0),
+                                   Seconds(1),
                                    &SendPacket,
                                    source,
                                    packetSize,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/socket/socket-options-ipv6.cc ns-3.44/examples/socket/socket-options-ipv6.cc
--- ns-3.43/examples/socket/socket-options-ipv6.cc	2024-10-09 16:41:09.836655600 -0700
+++ ns-3.44/examples/socket/socket-options-ipv6.cc	2025-03-09 16:55:49.331370800 -0700
@@ -135,7 +135,7 @@
     // Schedule SendPacket
     Time interPacketInterval = Seconds(packetInterval);
     Simulator::ScheduleWithContext(source->GetNode()->GetId(),
-                                   Seconds(1.0),
+                                   Seconds(1),
                                    &SendPacket,
                                    source,
                                    packetSize,
